<IfModule mod_rewrite.c>
  RewriteEngine On
  
  # Se il file o la directory richiesti esistono, li serve direttamente
  RewriteCond %{REQUEST_FILENAME} !-f
  RewriteCond %{REQUEST_FILENAME} !-d
  
  # Altrimenti reindirizza tutto a index.html (gestito da Angular)
  RewriteRule ^ index.html [L]
</IfModule>

<IfModule mod_headers.c>
  # Disabilita il caching per l'index.html, il manifesto e i file di configurazione del Service Worker
  <FilesMatch "index\.html|ngsw\.json|ngsw-worker\.js|safety-worker\.js|manifest\.webmanifest">
      Header set Cache-Control "no-cache, no-store, must-revalidate"
      Header set Pragma "no-cache"
      Header set Expires 0
  </FilesMatch>
</IfModule>
